org.eclipse.cdt.utils.coff

## Class PE.Attribute

- java.lang.Object
- - org.eclipse.cdt.utils.coff.PE.Attribute

Enclosing class:
  PE

    public static class PE.Attribute
    extends Object

### Field Summary

Fields
`static int` `PE_TYPE_CORE`
`static int` `PE_TYPE_EXE`
`static int` `PE_TYPE_OBJ`
`static int` `PE_TYPE_SHLIB`

### Constructor Summary

Constructors
Constructor and Description
`Attribute()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCPU()`
`int` `getType()`
`int` `getWord()`
`boolean` `hasDebug()`
`boolean` `isLittleEndian()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PE_TYPE_EXE

    public static final int PE_TYPE_EXE

See Also:
  Constant Field Values

#### PE_TYPE_SHLIB

    public static final int PE_TYPE_SHLIB

See Also:
  Constant Field Values

#### PE_TYPE_OBJ

    public static final int PE_TYPE_OBJ

See Also:
  Constant Field Values

#### PE_TYPE_CORE

    public static final int PE_TYPE_CORE

See Also:
  Constant Field Values

### Constructor Detail

#### Attribute

    public Attribute()

### Method Detail

#### getCPU

    public String getCPU()

#### getType

    public int getType()

#### hasDebug

    public boolean hasDebug()

#### isLittleEndian

    public boolean isLittleEndian()

#### getWord

    public int getWord()